Sync content data
1 min
POST
https://cg.optimizely.com/api/content/v2/data
Query Parameters
- idstringrequired
Body Parameters
- bodystringrequired
Responses
200
curl
curl --request POST \
--url 'https://cg.optimizely.com/api/content/v2/data?id=string' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{"body":"string"}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"body": "string"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://cg.optimizely.com/api/content/v2/data?id=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://cg.optimizely.com/api/content/v2/data?id=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"body": "string"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://cg.optimizely.com/api/content/v2/data?id=string"
payload = json.dumps({
"body": "string"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Index content successful